<ion-grid
  *transloco="let t"
  class="full-width-grid ion-no-padding flex-list-subsections"
>
  @if (!isConnected) {
    <ion-col *ngIf="!isConnected">
      <lib-connectivity-error-handling-card
        [show]="true"
        [title]="t('feature_news.connectivity-error.title_settings')"
      >
      </lib-connectivity-error-handling-card>
    </ion-col>
  } @else {
    <lib-custom-settings-list
      [isLoading]="isLoadingCategories"
      [categoryText]="t('feature_news.settings.choose_categories')"
      [items]="uniqueCategories"
      [moduleInfo]="newsModule"
      [storageKeyType]="storageKeyType.CATEGORY"
      [title]="t('feature_news.settings.categories')"
      [skeletonCount]="12"
    >
    </lib-custom-settings-list>
    <lib-custom-settings-list
      [isLoading]="isLoadingSources"
      [categoryText]="t('feature_news.settings.choose_sources')"
      [items]="uniqueSources"
      [moduleInfo]="newsModule"
      [storageKeyType]="storageKeyType.SOURCE"
      [title]="t('feature_news.settings.sources')"
      [skeletonCount]="4"
    ></lib-custom-settings-list>
  }
</ion-grid>
